global gRollerList, gPreviousList, gFrom, gTo, gPath, gLanguage, gWinVersion, gMarker, pictureList, frameList, movieList, firstCharList, findMiaw, cameraMiaw, soundMiaw, toolMiaw

on startMovie
  startTimer()
  set x to gLanguage
  set y to gWinVersion
  set z to gMarker
  set a to pictureList
  set b to frameList
  set c to movieList
  set d to firstCharList
  clearGlobals()
  set gLanguage to x
  set gWinVersion to y
  set gMarker to z
  set pictureList to a
  set frameList to b
  set movieList to c
  set firstCharList to d
  sound stop 1
  puppetSound(0)
  unLoad()
  set the idleLoadMode to 3
  set the preLoadEventAbort to 1
  set gFrom to 15
  set gTo to 29
  set gRollerList to [31: member 49 of castLib "shared", 32: member 50 of castLib "shared", 34: member 21 of castLib "shared", 35: member 22 of castLib "shared", 36: member 23 of castLib "shared", 37: member 24 of castLib "shared", 38: member 25 of castLib "shared", 39: member 36 of castLib "shared"]
  set gPreviousList to []
  set gPath to the pathName
end

on stopMovie
  sound stop 1
  set the volume of sound 1 to 255
end

on nextFrame
  go(the frame + 1)
end

on previousFrame
  go(the frame - 1)
end

on goPrevious
  set z to getLast(gPreviousList)
  if voidp(z) then
    go("main")
  else
    set x to count(gPreviousList)
    deleteAt(gPreviousList, x)
    set y to getLast(gPreviousList)
    go(y)
  end if
end

on goStory
  forgetWindows()
  go("story1")
end

on goPlus1
  go(the frame + 1)
end

on goToTest
  forgetWindows()
  go("test")
end

on credits
  sound stop 1
  forgetWindows()
  preLoad(550, 554)
  go("credits")
  set the volume of sound 1 to 255
  sound playFile 1, gPath & "credits.aif"
  updateStage()
end

on svenska
  cursor(4)
  sound stop 1
  set gLanguage to "swe"
  forgetWindows()
  go(1, "mainswe")
end

on goTest
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      go("test1")
    "16":
      go("test2")
    "17":
      go("test3")
    "18":
      go("test4")
    "19":
      go("test5")
    "20":
      go("test6")
    "21":
      go("test7")
    "22":
      go("test8")
    "23":
      go("test9")
    "24":
      go("test10")
    "25":
      go("test11")
  end case
end

on go1
  set the cursor of sprite the clickOn to 4
  go("urban")
end

on go2
  set the cursor of sprite the clickOn to 4
  forgetWindows()
  go(1, "@:game:game1")
end

on go3
  set the cursor of sprite the clickOn to 4
  go("urban")
end

on go4
  set the cursor of sprite the clickOn to 4
  go("urban")
end

on go5
  set the cursor of sprite the clickOn to 4
  forgetWindows()
  go(1, "board")
end

on go6
  set the cursor of sprite the clickOn to 4
  go("animals")
end

on go7
  set the cursor of sprite the clickOn to 4
  go("plants")
end

on go8
  set the cursor of sprite the clickOn to 4
  go("mushroom")
end

on go9
  set the cursor of sprite the clickOn to 4
  go("urban")
end

on go10
  set the cursor of sprite the clickOn to 4
  go(1, "zoo")
end

on go11
  set the cursor of sprite the clickOn to 4
  go("info")
end

on go12
  set the cursor of sprite the clickOn to 4
  go("birds")
end

on go13
  set the cursor of sprite the clickOn to 4
  go("mammals")
end

on go14
  set the cursor of sprite the clickOn to 4
  go("inver")
end

on go15
  set the cursor of sprite the clickOn to 4
  go("reptiles")
end

on go16
  set the cursor of sprite the clickOn to 4
  go("mamm1")
end

on go17
  set the cursor of sprite the clickOn to 4
  go("mamm2")
end

on go18
  set the cursor of sprite the clickOn to 4
  go("mamm3")
end

on go19
  set the cursor of sprite the clickOn to 4
  go("mamm4")
end

on go20
  set the cursor of sprite the clickOn to 4
  go("mamm5")
end

on go21
  set the cursor of sprite the clickOn to 4
  go("mamm6")
end

on go22
  set the cursor of sprite the clickOn to 4
  go("bird1")
end

on go23
  set the cursor of sprite the clickOn to 4
  go("bird2")
end

on go24
  set the cursor of sprite the clickOn to 4
  go("bird3")
end

on go25
  set the cursor of sprite the clickOn to 4
  go("bird4")
end

on go26
  set the cursor of sprite the clickOn to 4
  go("bird5")
end

on go27
  set the cursor of sprite the clickOn to 4
  go("bird6")
end

on go28
  set the cursor of sprite the clickOn to 4
  go("bird7")
end

on go29
  set the cursor of sprite the clickOn to 4
  go("bird8")
end

on go30
  set the cursor of sprite the clickOn to 4
  go("inverA")
end

on go31
  set the cursor of sprite the clickOn to 4
  go("inverB")
end

on goInverA
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      go("inverA1")
    "16":
      go("inverA2")
    "17":
      go("inverA3")
    "18":
      go("inverA4")
    "19":
      go("inverA5")
  end case
end

on goInverB
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      go("inverB1")
    "16":
      go("inverB2")
    "17":
      go("inverB3")
    "18":
      go("inverB4")
    "19":
      go("inverB5")
  end case
end

on goReptiles
  global gFrameLabel
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      set gFrameLabel to "pic101"
      go(1, "reptiles")
    "16":
      set gFrameLabel to "pic102"
      go("pic102", "reptiles")
    "17":
      set gFrameLabel to "pic103"
      go("pic103", "reptiles")
    "18":
      set gFrameLabel to "pic104"
      go("pic104", "reptiles")
    "19":
      set gFrameLabel to "pic105"
      go("pic105", "reptiles")
    "20":
      go(1, "reptiles")
  end case
end

on goPlantB
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      go("plB1")
    "16":
      go("plB2")
    "17":
      go("plB3")
    "18":
      go("plQ")
  end case
end

on goPlantB1
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      go("plant1")
    "16":
      go("plant2")
    "17":
      go("plant3")
    "18":
      go("plant4")
  end case
end

on goPlantB2
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      go("plant5")
    "16":
      go("plant6")
    "17":
      go("plant7")
    "18":
      go("plant8")
  end case
end

on goPlantB3
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      go("plant9")
    "16":
      go("plant10")
    "17":
      go("plant11")
    "18":
      go("plant12")
  end case
end

on goPlant1
  global gFrameLabel
  set the cursor of sprite the clickOn to 4
  cursor(4)
  case the clickOn of
    "15":
      set gFrameLabel to "pic101"
      go(1, "plants")
    "16":
      set gFrameLabel to "pic102"
      go("pic102", "plants")
    "17":
      set gFrameLabel to "pic103"
      go("pic103", "plants")
    "18":
      set gFrameLabel to "pic104"
      go("pic104", "plants")
    "19":
      set gFrameLabel to "pic105"
      go("pic105", "plants")
    "20":
      set gFrameLabel to "pic106"
      go("pic106", "plants")
  end case
end

on indexButton f, m
  global gFrameLabel
  set N to the clickOn
  set the puppet of sprite N to 1
  set H to the locH of sprite N
  set V to the locV of sprite N
  set the locH of sprite N to H + 2
  set the locV of sprite N to V + 2
  updateStage()
  repeat while the mouseDown = 1
    if rollOver(N) = 1 then
      set the locH of sprite N to H + 2
      set the locV of sprite N to V + 2
      updateStage()
      next repeat
    end if
    set the locH of sprite N to H
    set the locV of sprite N to V
    updateStage()
  end repeat
  set the locH of sprite N to H
  set the locV of sprite N to V
  updateStage()
  set the puppet of sprite N to 0
  if rollOver(N) = 1 then
    puppetSprite(10, 1)
    set the locV of sprite 10 to 192
    updateStage()
    set the cursor of sprite the clickOn to 4
    cursor(4)
    set gFrameLabel to f
    do("go frame" && QUOTE & f & QUOTE && "of movie" && QUOTE & m & QUOTE)
  end if
end

on goSweBoard
  go(1, "boardswe")
end
